{
  description = "Example issue";
  inputs = rec {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
    rust-overlay.url = "github:oxalica/rust-overlay";
    rust-overlay.inputs.nixpkgs.follows = "nixpkgs";
  };
  outputs = { self, nixpkgs, rust-overlay, flake-utils, ... }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        overlays = [
          (import rust-overlay)
        ];
        pkgs = import nixpkgs { 
          inherit system overlays;
          config = { allowUnfree = true; };
        };
        extensions = (with pkgs.vscode-extensions; [
          vadimcn.vscode-lldb
        ]);
        vscode-with-extensions = pkgs.vscode-with-extensions.override {
          vscodeExtensions = extensions;
        };
        depsBuildBuild = with pkgs; [
          rust-bin.stable.latest.minimal
          vscode-with-extensions
        ];
        nativeBuildInputs = pkgs: with pkgs; [ pkg-config ];
      in {
        # When the build platform matches the host platform no additional
        # configuration is needed.
        devShell = with pkgs;
          mkShell {
            inherit depsBuildBuild;
            nativeBuildInputs = nativeBuildInputs pkgs;
          };
      });
}
